# a10_server_axapi3 – Manage A10 Networks AX/SoftAX/Thunder/vThunder devices

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Manage SLB (Server Load Balancer) server objects on A10 Networks devices via aXAPIv3.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
client_cert path |  | PEM formatted certificate chain file to be used for SSL client authentication. This file can also include the key as well, and if the key is included, `client_key` is not required.
client_key path |  | PEM formatted file that contains your private key to be used for SSL client authentication. If `client_cert` contains both the certificate and key, this option is not required.

force
boolean

Choices:
- no ←
- yes

If `yes` do not get a cached copy.
Alias `thirsty` has been deprecated and will be removed in 2.13.
aliases: thirsty

force_basic_auth
boolean

Choices:
- no ←
- yes

Credentials specified with url_username and url_password should be passed in HTTP Header.

host string / required |  | Hostname or IP of the A10 Networks device.
http_agent string | Default: "ansible-httpget" | Header to identify as, generally appears in web server logs.

operation
-

Choices:
- create ←
- update
- remove

Create, Update or Remove SLB server. For create and update operation, we use the IP address and server name specified in the POST message. For delete operation, we use the server name in the request URI.

password string / required |  | Password for the `username` account. aliases: pass, pwd
server_ip - / required |  | The SLB (Server Load Balancer) server IPv4 address. aliases: ip, address
server_name - / required |  | The SLB (Server Load Balancer) server name. aliases: server
server_ports - |  | A list of ports to create for the server. Each list item should be a dictionary which specifies the `port:` and `protocol:`. aliases: port

server_status
-

Choices:
- enable ←
- disable

The SLB (Server Load Balancer) virtual server status.
aliases: action

url string |  | HTTP, HTTPS, or FTP URL in the form (http|https|ftp)://[user[:pass]]@host.domain[:port]/path
url_password string |  | The password for use in HTTP basic authentication. If the url_username parameter is not specified, the url_password parameter will not be used.
url_username string |  | The username for use in HTTP basic authentication. This parameter can be used without url_password for sites that allow empty passwords

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.

username string / required |  | An account with administrator privileges. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled devices using self-signed certificates.

write_config
boolean

Choices:
- no ←
- yes

If `yes`, any changes will cause a write of the running configuration to non-volatile memory. This will save all configuration changes, including those that may have been made manually or through other modules, so care should be taken when specifying `yes`.

## Notes

Note

- Requires A10 Networks aXAPI 2.1.

## Examples

    # Create a new server
    - a10_server:
        host: a10.mydomain.com
        username: myadmin
        password: mypassword
        server: test
        server_ip: 1.1.1.100
        validate_certs: false
        server_status: enable
        write_config: yes
        operation: create
        server_ports:
          - port-number: 8080
            protocol: tcp
            action: enable
          - port-number: 8443
            protocol: TCP

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Eric Chou (@ericchou1)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.